Skip site navigation (1) Skip section navigation (2)

Re: new compiler warnings

From: Peter Eisentraut <peter_e(at)gmx(dot)net>
To: Robert Haas <robertmhaas(at)gmail(dot)com>
Cc: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>, pgsql-hackers(at)postgresql(dot)org
Subject: Re: new compiler warnings
Date: 2011-01-26 22:20:47
Message-ID: 1296080447.14137.4.camel@vanquo.pezone.net (view raw, whole thread or download thread mbox)
Thread:
Lists: pgsql-hackers
On ons, 2011-01-26 at 17:00 -0500, Robert Haas wrote:
> More to the point, regardless of whether the warning is reasonable or
> not, there's tangible value in a warning-free build, which we have had
> on most of the systems I use until recently.

I don't disagree that the warnings are valid.  I'd just like to see them
as well.

It turns out you need -Wformat-security with newer GCC versions.  We
might want to add that to the standard options set.

Anyway: Fixed.



In response to

Responses

pgsql-hackers by date

Next:From: Tom LaneDate: 2011-01-26 22:20:52
Subject: Re: .gitignore patch for coverage builds
Previous:From: Tom LaneDate: 2011-01-26 22:15:54
Subject: Re: new compiler warnings

Privacy Policy | About PostgreSQL
Copyright © 1996-2017 The PostgreSQL Global Development Group